# Uses of Class
org.apache.commons.math3.distribution.MixtureMultivariateNormalDistribution

Packages that use MixtureMultivariateNormalDistribution
Package
Description
org.apache.commons.math3.distribution.fitting
Fitting of parameters against distributions.

## Uses of MixtureMultivariateNormalDistribution in org.apache.commons.math3.distribution.fitting

Methods in org.apache.commons.math3.distribution.fitting that return MixtureMultivariateNormalDistribution
Modifier and Type
Method
Description
`static MixtureMultivariateNormalDistribution`
MultivariateNormalMixtureExpectationMaximization.`estimate(double[][] data, int numComponents)`
Helper method to create a multivariate normal mixture model which can be used to initialize `MultivariateNormalMixtureExpectationMaximization.fit(MixtureMultivariateNormalDistribution)`.
`MixtureMultivariateNormalDistribution`
MultivariateNormalMixtureExpectationMaximization.`getFittedModel()`
Gets the fitted model.
Methods in org.apache.commons.math3.distribution.fitting with parameters of type MixtureMultivariateNormalDistribution
Modifier and Type
Method
Description
`void`
MultivariateNormalMixtureExpectationMaximization.`fit(MixtureMultivariateNormalDistribution initialMixture)`
Fit a mixture model to the data supplied to the constructor.
`void`
MultivariateNormalMixtureExpectationMaximization.`fit(MixtureMultivariateNormalDistribution initialMixture, int maxIterations, double threshold)`
Fit a mixture model to the data supplied to the constructor.